AutoCAD Inventor :: ILogic FOR Loop To Unsuppress Features
Sep 10, 2013
I am currently designing a heat exchanger and want to adjust the number of water channel using iLogic. The number of channels to be active is based on the channel dimensions, and is calculated in my excel spreadsheet, but up to a maximum of 19. This is stored in the parameter "no_channel". Each channel is a seperate feature (extrusion) and named from "Channel 1" though "Channel 19".
My idea of doing this automation was to have iLogic suppress all the features, and then doing a closed loop to unsuppres the features I want active:
Feature.IsActive("Channel 1") = FalseFeature.IsActive("Channel 2") = False...Feature.IsActive("Channel 19") = FalseFor i = 1 To no_channelFeature.IsActive("Channel"(i)) = TrueNext
However, this gives me the following error:
Error in rule: Number of channels, in document: Radiator fin side.ipt
Feature.IsActive: No feature found with the name: "h".
View 2 Replies
ADVERTISEMENT
Feb 14, 2013
I have a code working that is not very efficient.
It works, but it is very slow, i suspect it can be 28x faster, but I don't know how
What I have:
I have a plate with many hole patterns.
I calculated how many holes each pattern has
Parameters: Excel_Holes_Row_0 to Excel_Holes_Row 27
For each Row i have 4 features:
Pipe Hole
Rectangular array of Pipe Holes
Product Hole
Rectangular array of Product holes
What I want to do:
I want to suppress/unsuppress features with a rule
If Excel_Holes_Row_20 < 2 It means Suppress the rectangular arrays on this row
If Excel_Holes_Row_20 = 0 It means suppress the hole features on this row
This is my
Dim oDoc As Document = ThisDoc.Document
Dim PFeats As PartFeatures = oDoc.ComponentDefinition.Features
Dim PFeat As PartFeature
[Code]....
View 3 Replies
View Related
Sep 27, 2011
Is it possible to stop an infinite loop when running an iLogic rule?
View 4 Replies
View Related
Oct 30, 2013
I have just started to use ilogic, what i want to do is measure the length of a loop in a sketch and then use this measurement as a parameter.
I have found this rule that will measure the loop length and display it in a message box
Dim se As SketchEntity = ThisDoc.Document.ComponentDefinition.Sketches(1).SketchLines(1)
MsgBox(ThisApplication.MeasureTools.GetLoopLength(se)*10 & " mm")
but i do not know how to capture the measurement as a parameter .
View 3 Replies
View Related
Oct 19, 2012
I want different features on and off with iLogic.
I have a text parameter with a choice menu of 1,2, and 3
This I want some features on and off.
If I pass the parameter I get a message: No feature found with the name. Mvg Jos
Your drawings are only as good as the symbols that complete them...
View 9 Replies
View Related
Aug 2, 2012
I am working on a standard part that has different configurations depending on user inputs into a GUI. Once the user enters all the required parameters, the part is in its final form with all unnecessary features suppressed. I am looking for a way to automate the delete of the suppressed features using a rule and i Logic before the user saves the file.
The main reason for doing this is to reduce the file size of the part once it is saved because this same template will be used for hundreds of parts and I don't want to waste unnecessary storage space on suppressed features.
View 7 Replies
View Related
Nov 19, 2012
I'm now having an issue accessing the features in an assembly, the error message is attached and the following is the relative code.
The error line is between the 2 Test Messages:
'Create a Component Definition relative to the Part Document
Dim oFeature As Features
Dim oAssembly As AssemblyDocument
oAssembly = oCompOcc.Definition.Document
MsgBox("Test 1")
'Cycle through all features in the Part
For Each oFeature In oAssembly.ComponentDefinition.Features
MsgBox("Test 2")
View 3 Replies
View Related
Jul 20, 2012
I have a couple of dozen features in my part, of which only one will be active at any time. The feature tree may be subject to additions, so I am looking for an ilogic rule that will first suppress all of the features in the part, and then switch on the specific feature I require (using a parameter). Any code to suppress ALL features?
View 9 Replies
View Related
Aug 10, 2012
I made an Part with iLogic rules, let's call it "iLogicPart". The rules inside could create lot of different part by my input.
I want save the different parts to different name as "Part 1", "Part 2", etc. I used SaveAs to get them.
My question is: I want to delete all rules and parameters in the saved parts as "Part 1", "Part 2". And I have lot of features (the name is hard to track) which are inactive, I want to delete them at same time too.
I could manually do so, but I want to use rule to do so automatically.
View 9 Replies
View Related
Jul 17, 2013
I have a wire trough that we typically use on all our units. Instead of modelling each trough as it's own separate part to length, I would like to add this part to frame generator for tracking there cut lengths etc...
A few items, there is two sizes that we use, but for now I will work with just one.
I have modeled the part and renamed the important parameters.
-WIDTH - stays the same
-HEIGHT - stays the same
-LENGTH - adjusted by frame generator
-RIBS - the part has 6 currently, but there is a rib added for every 1/2 inch. it is a rectangular pattern
-SLOTS - will be added to the trough every 2 inches of length, it is a rectangular pattern
-SLOT_DISTANCE - is 2 inches and never changes, if the trough is cut on a slot, which ever is easiest, to show half a slot or none, doesn't matter, this is just for a visual and BOM reference
I found a video that shows me how to publish parts to FG, but I am stuck for the iLogic part. Part attached.
Inventor Professional 2014-Update 2 - AutoCAD Electrical 2014
Win7-x64 | ASUS P8Z77-V | i7 3770 -3.4 GHz | 32GB RAM |
240GB SSD | nVidia GTX 670 4GB - 320.49
View 6 Replies
View Related
Sep 3, 2012
Is there any way to set features to be invisible when create sketch after those 3D features so as to make the sketch more easy to see?
View 3 Replies
View Related
Aug 19, 2013
how can I close an iLogic Form from either an iLogic Rule, or a VBA Rule (VBA is the Preferred method)?
View 5 Replies
View Related
Mar 6, 2013
I have a sphere body whose material is partly removed by a boolen subtraction with another sphere. When I query the EdgeLoop of sphere for Outer edge loop using function InvEdgeLoopPtr::GetIsOuterEdgeLoop(), I always get a value of VARIANT_TRUE. check for the inner and outer loop of a sphere? use the attached file for reference.
View 3 Replies
View Related
Oct 23, 2012
Have sketched the geometry for an 18 tooth circular sawblade. However I have had difficulty applying the close loop function. As a result am not yet able to extrude the saw blade. What to do to implement close loop?
View 4 Replies
View Related
Jul 19, 2013
I am trying to create a logic rule to replace the model reference in a idw file and then save as using the new file reference name. I am able to do this for individual files or components within an assembly file.
However what I would like is to check through all files of a certain type (for example ipt with filenames beginning "SSUA" ) in a specific folder.
The following code from Curtis Waguespack works well for individual selected files but I would like to take it a stage further with the above parameters.
Dim oDoc as DocumentoDoc = ThisDoc.DocumentDim oRefFile As FileDescriptorDim oOrigRefName As Object For Each oRefFile In oDoc.file.ReferencedFileDescriptors'get the full file path to the original internal referencesoOrigRefName = oRefFile.FullFileName'present a File Selection dialogDim oFileDlg As inventor.FileDialog = NothingInventorVb.Application.CreateFileDialog(oFileDlg)oFileDlg.InitialDirectory
[Code]........
View 3 Replies
View Related
Jun 8, 2012
I have VB code that loops through and utilizes Excel data to pick which file(s) to open, update, and close. Then it opens the appropriate .idw file, updates it and saves it as a .pdf.
The line of code I have now is simple:
_invApp.ActiveDocument.SaveAs("C:UsersxxDesktopA60.pdf", True)
and that writes the file to my desktop as a .pdf.
However, as the loop runs over and over, it will find another data set that is the same A60 type, so it will want to save OVER that .pdf it's already created.
How do I go about having a variable filename? Something where it would add a _01 _02 _03 (or similar) to the end of the filename (i.e. A60_01.pdf, A60_02.pdf).
View 1 Replies
View Related
Jun 6, 2012
I'm desperate to know how should i heal the errors for loop orientation issues. I had imported the .stp file into inventor so i can do stress analysis. After imported the file and enter into repair environment, after i find the errors shown 9 errors in loop orientation issues.
View 1 Replies
View Related
Aug 12, 2013
I wanted to chamfer a poligonal faced part, but had to select the edges one by one.
The Edge Chain buttons were grayed out, why?
View 1 Replies
View Related
Sep 26, 2011
I am not sure exactly why this is a limited feature of Inventor 2011 but when you want to select a sketch to create a boundary patch you have to select each part of the sketch in sequence. It's a pretty laborious task. I am looking to a way to automate this using i logic.
View 5 Replies
View Related
Dec 16, 2013
I am attempting to split a face so I have a good area to apply a load in simulation and 3/4 of the areas split just fine but I CANNOT get the 4th area to split! This is all just projected geometry but left and right are symmetrical so I can't figure out why the L side works but not the R side.
View 2 Replies
View Related
Mar 10, 2012
way to redefine a point that was placed in a model with a "Center of Loop of Edges" command? Inventor doesn't seem to recognize type of placement unless it's been selected from the Point drop-down menu, but picking this in the midst of a redefine only creates a new point, it doesn't redefine the original point.
As it is, I've been forced to just delete the original point, create a new one and go from there.
Infrastructure DSP '14 / Product DSP '14 / Vault Professional 2014
Dell Precision T1650
Windows 7 Professional SP1 64-bit
Intel E3-1270 V2 3.5GHz / 32G RAM
Nvidia Quadro 2000, Driver 331.82
Space Navigator, Driver Version 6.17.7
View 2 Replies
View Related
Dec 20, 2013
I'm designing a lift truck with a "chain over" lift - the lift cylinder has a sprocket mounted on the end of the rod, and the chain is grounded on one side. The other end of the chain is mounted to a lifting carriage so that as the cylinder extends and pushes the sprocket up, the chain rolls over it and the carriage moves up (at twice the speed of the cylinder). This is nothing new - it's pretty much how every single fork truck in the world operates.
My question is this: can I use the roller chain generator to model this chain, or should I model the links and array them along a path? My thinking is that if I can use the chain generator, I should be able to animate the chain using Dynamic Simulation. But the chain generator seems to require a minimum of 2 sprockets in order to work - there's no way that I can see to have a "non-looped" chain or any way to just ground the end of the chain.
2014 Product Design Suite
W7Pro-64
Intel Xeon E5-1620 @ 3.60 GHz 16GB RAM
Dual 1GB NVIDIA Quadro K600 graphics
View 4 Replies
View Related
Sep 27, 2011
I'd like to use the Cable and Wiring tools to model some fibre optics. I can see how this could work well, being able to set and check for the minimum bend radius. However, I'd also like to include a loop of greater than minimum bend radius between the two connection points, we tend to do this to reduce strain on the fibres. Any elegant solution for inserting the loop?
View 3 Replies
View Related
Mar 21, 2013
I want continuously to display the loop measuring of a Spline/Arc/Line/Slope (or even have it as a dimension / parameter on a sketch/part) because it change in relation to the block-position that constrains to the slope.
View 3 Replies
View Related
Sep 28, 2012
I'd like to create a macro that I can run from within an assembly that will loop through each BOM item and add the quantity req'd to a custom property within the component. I'm very familiar with VBA from Office, but I'm new to it with respect to Inventor so I'm pretty fuzzy with object titles and options.
Here's an outline of what I'd like to do:
Execute Macro from within Assembly file
For Each BOM Item to # of BOM Items
If Vendor = "Make" then
Set Component Custom Property "Qty_Reqd" = Total Qty from BOM
Endif
Next BOM Item
View 9 Replies
View Related
Apr 16, 2013
I am trying to setup some rules to print various PDF files which we have managed to do without any problems.
The bit I am stuck on is when one of the PDF files being saved is open by another user.
We have been able to error trap it when it is open by showing a message box on error asking them to close the file befopre continuing. The current message box being used is the Retry / Cancel box.
When the user clicks Retry we would like it to re-run the rule, or loops through the rule and check is the file is still open. If the file is open return the same error, and if the file has been closed save the PDF file. When Cancel is pressed it ends the rule (This Bit has been done).
My questions is how do I get the rule to re-run / loop through when the retry button is pressed.
Is it also possible to show the user who has the file open (or Previewing it in a Window Explorer)?
I have attached the Code currently Being used but I can post it here of preferred?
View 2 Replies
View Related
Jun 28, 2013
Being all new and complete virgin-like, to ilogic, I would like to know wether it is possible to analyze a sketch (wenn it is being closed)?
What I want to analyze is:
Does the sketch contain a fully constrained closed loop?
Does this closed loop consist only of straight lines?
What is the total number of lines in the loop?
Next fase is:
Create an excel-sheet with the following information:
For each line in this closed loop i wish to add the length of the line, and the angle to the next line (consequently on the internal side of the loop, resulting in angles from 0 to 180 degrees).
View 2 Replies
View Related
Sep 19, 2011
Using 2011.
I have lists of Documents I am altering and saving automatically in a loop, The problem is that if the file needs to be migrated you get a dialog box in your face for every file in the list. How can I temporarally turn the dialog off?
ThisApplication.SaveOptions.PromptSaveForMigration = False
Does not do it.
View 1 Replies
View Related
Dec 14, 2012
My flat pattern of a sheet metal part fails when I added strenthening Press ribs to the middle of the part using an iFeature.
I know Inventor is not capable of flattening embossed sheetmetal but is there a way to still get the flat pattern & ignore the formed areas?
Seems to me I was able to add some model features in the past like bosses, extruded holes KO's etc & I could still make a flat pattern.
I know I can use derived part to do it but that adds complications.
IV 2012 SP2
Inventor Suite 2013 Ultimate
View 3 Replies
View Related
Sep 29, 2011
when in simulation, if you suppress a feature is it totally taken out of the simulations workings?
I.e. if I was working on a project like some weighing scales and I had a load of objects on the scales and I then suppressed some of the objects, will the scales rise up a little to counteract the reduced weight?
View 5 Replies
View Related
Nov 29, 2012
I am making a multiview drawing with isometric of a certain sheet metal part. Due to manufacturing reasons, they have to make the part longer than necessary to get a bend in it then I will have them shear off the extra. Is there a way I can show the multiview and flat pattern WITH the extra material and show the isometric WITHOUT that extra? In the model I remove the excess with a cut but I don't know how to suppress a feature for one view and not another.
View 2 Replies
View Related